---
title: "一般的な慣習"
description: "チャートについての一般的な慣習です。"
weight: 1
---

ベストプラクティスガイドのこの部分では一般的な慣習について説明します。

## チャート名

チャート名は英小文字と数字である必要があります。単語はダッシュ（-）で区切ることも _できます_ 。

例:

```
drupal
nginx-lego
aws-cluster-autoscaler
```

英大文字とアンダースコアは両方ともチャート名に用いることはできません。ドットもチャート名には使わないべきです。

## バージョン数

可能ならばどこであっても、Helm はバージョン数を表現するために [SemVer 2](https://semver.org) を使います。（Docker イメージタグは SemVer に従う必要がないことに注意してください。またこれは残念ながら規約の例外とみなされています。）

SemVer バージョンが Kubernetes ラベルに保存されるとき、私たちは慣習的に文字 `+` を文字 `_` に置き換えます。これはラベルで `+` が値を表さないようにするためです。

## YAML のフォーマット

YAML ファイルは _2 つのスペース_ でインデントされるべきです（そしてタブは使いません）。

## 単語 Helm と Chart の使い方

単語 _Helm_ および _helm_ の使い方についていくつかの慣習があります。 

- _Helm_ はプロジェクト全体を表します。
- `helm` はクライアントサイドのコマンドを表します。
- 用語 `chart` を大文字化する必要はありません。なぜならそれは固有名詞ではないためです。
- しかし、ファイル名はケース・センシティブであるため `Chart.yaml` は大文字化する必要があります。

迷ったときは、 _Helm_ （大文字の 'H' を含む）を使いましょう。