---
title: "Appendix: Go データ型とテンプレート"
description: "テンプレート内の変数の概要。"
weight: 16
---

Helm テンプレート言語は、厳密に型指定された Go プログラミング言語で実装されています。
そのため、テンプレートの変数は _typed_ です。
ほとんどの場合、変数は次のタイプのいずれかとして公開されます。

- string: テキストの文字列
- bool: `true` または `false`
- int: 整数値
  (これの8、16、32、および 64 ビットの符号付きおよび符号なし変数もあります)
- float64: 64 ビットの浮動小数点値
  (これには 8、16、32 ビットの種類もあります)
- バイトスライス (`[]byte`)。バイナリデータを (潜在的に) 保持するためによく使用されます
- struct: プロパティとメソッドを持つオブジェクト
- 前のタイプのいずれかのスライス (インデックス付きリスト)
- 文字列キー付きマップ (`map[string]interface{}`) 値は
  前のタイプの1つです

Go には他にも多くのタイプがあり、テンプレートでそれらの間で変換する必要がある場合があります。
オブジェクトのタイプをデバッグする最も簡単な方法は、
テンプレートで `printf "%t"` を介してオブジェクトを渡すことです。
これにより、タイプが出力されます。`typeOf` および `kindOf` 関数も参照してください。
