---
title: "Helm Lint"
---

## helm lint

이슈가 발생하지 않을지 차트를 검토한다

### 개요


이 명령은 차트 경로를 받아 해당 차트가 올바른
형식(well-formed)인지 검증하는 일련의 테스트를 실행한다.

만약 린터(linter)가 차트 설치 실패를 일으킬만한 사항을 발견하면,
[ERROR] 메세지를 발생시킬 것이다. 컨벤션이나 권장사항을 위반한 이슈를 발견하면,
[WARNING] 메세지를 발생시킬 것이다.


```
helm lint PATH [flags]
```

### 옵션

```
  -h, --help                     lint 에 대한 도움말
      --set stringArray          명령 줄에 값을 설정 (쉼표로 여러 값 또는 개별 값을 지정 가능: 키1=값1,키2=값2)
      --set-file stringArray     명령 줄을 통해 지정된 각 파일에서 값을 설정 (쉼표로 여러 값 또는 개별 값을 지정 가능: 키1=값1,키2=값2)
      --set-string stringArray   명령 줄에서 STRING 값 설정 (쉼표로 여러 값 또는 개별 값을 지정 가능: 키1=값1,키2=값2)
      --strict                   검토 경고(lint warning)시 실패로 판정
  -f, --values strings           YAML 파일 또는 URL 에 값 지정 (여러 개 지정 가능)
      --with-subcharts           하위 차트 의존성 검토
```

### 부모 명령어에서 상속된 옵션들

```
      --add-dir-header                   true이면, 헤더에 파일 디렉토리를 추가
      --alsologtostderr                  파일처럼 로그를 표준 오류로로 출력
      --debug                            장황한(verbose) 출력 활성화
      --kube-apiserver string            쿠버네티스 API 서버의 주소 및 포트
      --kube-context string              사용할 kubeconfig 컨텍스트 이름
      --kube-token string                인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string                kubeconfig 파일 경로
      --log-backtrace-at traceLocation   로깅 시 N 행에 걸친 스택 추적 내용을 표시 (기본값 :0)
      --log-dir string                   값을 지정하면, 지정한 디렉토리에 로그 파일 기록
      --log-file string                  값을 지정하면, 지정한 로그 파일 사용
      --log-file-max-size uint           로그파일이 증가할 수 있는 최대 크기 지정. 단위는 메가바이트이다. 값이 0이면, 최대 파일크기는 무제한. (기본값 1800)
      --logtostderr                      로그를 파일이 아닌 표준 오류로 표시 (기본값 true)
  -n, --namespace string                 요청에 대한 네임스페이스 지정
      --registry-config string           레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string          캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string         저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
      --skip-headers                     이 값이 true이면, 로그파일에서 헤더 접두어를 미사용
      --skip-log-headers                 이 값이 true이면, 로그파일을 열 때 헤더 제외
      --stderrthreshold severity         stderr로 로그가 변경될 수 있는 최저 임계점 (기본값 2)
  -v, --v Level                          로그 수준 상세표시 레벨
      --vmodule moduleSpec               파일로 필터링된 로깅을 위한 패턴=N 설정의 쉼표로 구분된 리스트
```

### 참조

* [helm](../helm)	 - 쿠버네티스에 대한 헬름 패키지 매니저.

###### Auto generated by spf13/cobra on 14-Sep-2020
