---
title: "Helm List"
---

## helm list

릴리스를 나열한다.

### 개요


이 명령은 지정된 네임 스페이스에 대한 모든 릴리스를 나열헌다 (네임 스페이스가 지정되지 않은 경우 현재 네임 스페이스 컨텍스트 사용).

기본적으로는, 배포되었거나 실패한 릴리스만 나열한다. 
'--uninstalled' 및 '--all' 과 같은 플래그는 이 동작을 변경한다. 
이러한 플래그는 '--uninstalled --failed' 와 같이 결합 할 수 있다.

기본적으로, 항목은 알파벳순으로 정렬된다. 출시 날짜별로 정렬하려면 '-d' 플래그를 
사용하자.

--filter 플래그가 제공되면 필터로 처리된다. 
필터는 릴리스 목록에 적용되는 정규식 (Perl 호환 가능)이다. 
오직 필터와 일치하는 항목만 반환된다.

    $ helm list --filter 'ara[a-z]+'
    NAME                UPDATED                                  CHART
    maudlin-arachnid    2020-06-18 14:17:46.125134977 +0000 UTC  alpine-0.1.0

결과가 없으면 'helm list' 는 0으로 종료되지만 
출력은 표시되지 않는다(또는 '-q' 플래그가 없고 헤더만 있는 경우).

기본적으로 최대 256 개의 항목이 반환 될 수 있다. 이를 제한하려면 '--max' 플래그를 사용하자. 
'--max' 를 0으로 설정하면 어떠한 결과도 반환되지 않는다. 
대신 서버의 기본값을 반환하는데, 이는 256보다 훨씬 더 클 수 있다. 
'--max' 플래그와 '--offset' 플래그를 함께 사용하면 결과를 페이징 할 수 있다.


```
helm list [flags]
```

### 옵션

```
  -a, --all                  필터가 적용되지 않은 모든 릴리스를 표시
  -A, --all-namespaces       모든 네임스페이스로 릴리스를 나열
  -d, --date                 릴리스 날짜로 정렬
      --deployed             배포 된 릴리스를 표시. 다른 것을 지정하지 않으면 자동으로 활성화.
      --failed               실패한 릴리스를 표시
  -f, --filter string        정규 표현식(Perl 호환). 표현식과 일치하는 모든 릴리스가 결과에 포함된다.
  -h, --help                 list 명령어에 대한 도움말
  -m, --max int              가져올 최대 릴리스의 수 (기본값 256)
      --offset int           시작 값에서 오프셋 시 사용되는 목록의 다음 릴리스명
  -o, --output format        지정된 형식으로 출력. 허용되는 값: table, json, yaml (기본값 table)
      --pending              펜딩된 릴리스를 표시
  -r, --reverse              정렬 순서 반전
  -l, --selector string      필터링 할 (레이블 쿼리) 셀렉터로, '=', '==', and '!=' 을 지원.(예: -l key1=value1,key2=value2). 시크릿(기본값) 및 컨피그맵 스토리지 백엔드에서만 작동
  -q, --short                짧은 목록 형식 출력
      --superseded           대체된 릴리스를 표시
      --time-format string   시간 형식. 예: --time-format 2009-11-17 20:34:10 +0000 UTC
      --uninstalled          제거된 릴리스 표시('helm uninstall --keep-history' 를 사용한 경우)
      --uninstalling         현재 제거중인 릴리스 표시
```

### 부모 명령어에서 상속된 옵션들

```
      --debug                       장황한(verbose) 출력 활성화
      --kube-apiserver string       쿠버네티스 API 서버의 주소 및 포트
      --kube-as-group stringArray   작업에 관해 제시할 그룹. 플래그를 여러 번 사용하여 여러 그룹 지정 가능
      --kube-as-user string         작업에 관해 제시할 사용자명
      --kube-context string         사용할 kubeconfig 컨텍스트 이름
      --kube-token string           인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string           kubeconfig 파일 경로
  -n, --namespace string            이 요청에 대한 네임스페이스 스코프
      --registry-config string      레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string     캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string    저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
```

### 함께 보기

* [helm](../helm)	 - 쿠버네티스에 대한 헬름 패키지 매니저.

###### Auto generated by spf13/cobra on 29-Oct-2020
