---
title: "Helm Rollback"
---

## helm rollback

릴리스를 이전 리비젼으로 롤백한다.

### 개요


이 명령은 릴리스를 이전 리비젼으로 롤백한다.

rollback 명령어의 첫 번째 인수는 릴리스의 이름이고,
두 번째 인수는 리비젼(버전) 번호이다.
이 인수를 생략하면 바로 이전 릴리스로 롤백 된다.

리비젼 번호를 보려면 'helm history RELEASE' 를 실행하자.


```
helm rollback <RELEASE> [REVISION] [flags]
```

### 옵션

```
      --cleanup-on-fail    롤백이 실패할 때 이 롤백에서 생성된 새 리소스의 삭제를 허용
      --dry-run            롤백 모의 실행
      --force              필요한 경우 삭제/재작성을 통해 리소스를 강제로 업데이트
  -h, --help               rollback 명령어에 대한 도움말
      --history-max int    릴리스 당 저장되는 최대 리비젼 수를 제한. 제한이 없는 경우는 0을 사용 (default 10)
      --no-hooks           롤백 중 훅 실행 방지
      --recreate-pods      해당되는 경우 리소스에 대해 파드 재시작 수행
      --timeout duration   개별 쿠버네티스 작업(예: 훅에 대한 작업)을 기다리는 시간 (기본값 5m0s)
      --wait               설정된 경우, 릴리스를 성공으로 표시하기 전에 모든 파드, PVC, 서비스, 디플로이먼트, 스테이트풀셋, 레플리카셋의 최소 파드 수가 Ready 상태가 될 때까지 대기. --timeout 만큼 대기
```

### 부모 명령어에서 상속된 옵션들

```
      --debug                       장황한(verbose) 출력 활성화
      --kube-apiserver string       쿠버네티스 API 서버의 주소 및 포트
      --kube-as-group stringArray   작업에 관해 제시할 그룹. 플래그를 여러 번 사용하여 여러 그룹 지정 가능
      --kube-as-user string         작업에 관해 제시할 사용자명
      --kube-context string         사용할 kubeconfig 컨텍스트 이름
      --kube-token string           인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string           kubeconfig 파일 경로
  -n, --namespace string            이 요청에 대한 네임스페이스 스코프
      --registry-config string      레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string     캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string    저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
```

### 함께 보기

* [helm](../helm)	 - 쿠버네티스에 대한 헬름 패키지 매니저.

###### Auto generated by spf13/cobra on 29-Oct-2020
