---
title: "Створення файлу NOTES.txt"
description: "Як надати інструкції користувачам вашого чарту."
weight: 10
---

У цьому розділі ми розглянемо інструмент Helm для надання інструкцій користувачам вашого чарту. Після виконання `helm install` або `helm upgrade` Helm може вивести блок корисної інформації для користувачів. Цю інформацію можна налаштувати за допомогою шаблонів.

Щоб додати нотатки по установці до вашого чарту, просто створіть файл `templates/NOTES.txt`. Цей файл є звичайним текстовим файлом, але обробляється як шаблон і має всі звичайні функції та обʼєкти шаблонів.

Створимо простий файл `NOTES.txt`:

```none
Дякуємо за встановлення {{ .Chart.Name }}.

Ваш реліз називається {{ .Release.Name }}.

Щоб дізнатися більше про реліз, спробуйте:

  $ helm status {{ .Release.Name }}
  $ helm get all {{ .Release.Name }}

```

Тепер, якщо ми виконаємо `helm install rude-cardinal ./mychart`, ми побачимо це повідомлення внизу:

```
RESOURCES:
==> v1/Secret
NAME                   TYPE      DATA      AGE
rude-cardinal-secret   Opaque    1         0s

==> v1/ConfigMap
NAME                      DATA      AGE
rude-cardinal-configmap   3         0s


NOTES:
Дякуємо за встановлення mychart.

Ваш реліз називається rude-cardinal.

Щоб дізнатися більше про реліз, спробуйте:

  $ helm status rude-cardinal
  $ helm get all rude-cardinal
```

Використання `NOTES.txt` таким чином є чудовим способом надати вашим користувачам детальну інформацію про те, як використовувати новостворений чарт. Створення файлу `NOTES.txt` наполегливо рекомендується, хоча це і не є обовʼязковим.
