---
title: "Наступні кроки"
description: "Підсумок — корисні вказівки на іншу документацію, яка може допомогти вам."
weight: 14
---

Цей посібник має на меті надати вам, розробнику чартів, глибоке розуміння того, як використовувати мову шаблонів Helm. Посібник зосереджений на технічних аспектах розробки шаблонів.

Але є багато аспектів практичного щоденного розроблення чартів, які цей посібник не охоплює. Ось кілька корисних вказівок на іншу документацію, яка допоможе вам у створенні нових чартів:

- CNCF [Artifact Hub](https://artifacthub.io/packages/search?kind=0) є незамінним джерелом чартів.
- [Документація Kubernetes](https://kubernetes.io/docs/home/) надає детальні приклади різних ресурсів, які ви можете використовувати, від ConfigMaps і Secrets до DaemonSets і Deployments.
- Посібник [Чарти Helm](../../topics/charts/) пояснює робочий процес використання чартів.
- Посібник [Хуки чартів Helm](../../topics/charts_hooks/) пояснює, як створювати хук для життєвого циклу.
- Стаття [Поради та підказки для розробки чартів](../../howto/charts_tips_and_tricks/) надає кілька корисних порад для написання чартів.
- Документація [Sprig](https://github.com/Masterminds/sprig) описує більше ніж шістдесят функцій шаблонів.
- Документація [Go templates](https://godoc.org/text/template) детально пояснює синтаксис шаблонів.
- Інструмент [Schelm](https://github.com/databus23/schelm) є корисною утилітою для налагодження чартів.

Іноді легше поставити кілька запитань і отримати відповіді від досвідчених розробників. Найкраще місце для цього — канали Helm у [Slack Kubernetes](https://kubernetes.slack.com):

- [#helm-users](https://kubernetes.slack.com/messages/helm-users)
- [#helm-dev](https://kubernetes.slack.com/messages/helm-dev)
- [#charts](https://kubernetes.slack.com/messages/charts)

Нарешті, якщо ви знайдете помилки або упущення в цьому документі, хочете запропонувати новий контент або хотіли б внести свій внесок, відвідайте [The Helm Project](https://github.com/helm/helm-www).
