---
title: "Helm Lint"
---

## helm lint

перевіряє чарт на можливі проблеми

### Опис {#synopsis}

Ця команда приймає шлях до чарту і виконує ряд тестів, щоб перевірити, чи чарт добре сформований.

Якщо лінтер знайде речі, які можуть призвести до помилки при встановленні чарту, він видасть повідомлення [ERROR]. Якщо він знайде проблеми, які порушують конвенції або рекомендації, він видасть повідомлення [WARNING].

```shell
helm lint PATH [flags]
```

### Параметри {#options}

```none
  -h, --help                      довідка lint
      --kube-version string       версія Kubernetes, що використовується для перевірки можливостей і застарілостей
      --quiet                     виводити лише попередження та помилки
      --set stringArray           встановити значення в командному рядку (можна вказати кілька або розділити значення комами: key1=val1,key2=val2)
      --set-file stringArray      встановити значення з відповідних файлів, зазначених через командний рядок (можна вказати кілька або розділити значення комами: key1=path1,key2=path2)
      --set-json stringArray      встановити JSON-значення в командному рядку (можна вказати кілька або розділити значення комами: key1=jsonval1,key2=jsonval2)
      --set-literal stringArray   встановити літеральне STRING-значення в командному рядку
      --set-string stringArray    встановити STRING-значення в командному рядку (можна вказати кілька або розділити значення комами: key1=val1,key2=val2)
      --skip-schema-validation    якщо встановлено, вимикає перевірку схеми JSON
      --strict                    видавати стан помилки на попередженнях lint
  -f, --values strings            вказати значення в YAML-файлі або URL (можна вказати кілька)
      --with-subcharts            перевірити залежні чарти
```

### Опції, успадковані від батьківських команд {#options-inherited-from-parent-commands}

```none
      --burst-limit int                 стандартні обмеження на стороні клієнта (стандартно 100)
      --debug                           увімкнути розширений вивід
      --kube-apiserver string           адреса та порт сервера API Kubernetes
      --kube-as-group stringArray       група для імперсонації під час операції, цей прапор може бути повторений для вказання кількох груп.
      --kube-as-user string             імʼя користувача для імперсонації під час операції
      --kube-ca-file string             файл центру сертифікаці СА для підключення до сервера API Kubernetes
      --kube-context string             імʼя контексту kubeconfig для використання
      --kube-insecure-skip-tls-verify   якщо встановлено true, сертифікат сервера API Kubernetes не буде перевірятися на дійсність. Це робить ваші HTTPS-зʼєднання небезпечними
      --kube-tls-server-name string     імʼя сервера для перевірки сертифіката сервера API Kubernetes. Якщо не вказано, використовується імʼя хоста, що використовується для підключення до сервера
      --kube-token string               токен на предʼявника, який використовується для автентифікації
      --kubeconfig string               шлях до файлу kubeconfig
  -n, --namespace string                простір імен для цього запиту
      --qps float32                     кількість запитів в секунду під час взаємодії з API Kubernetes, не включаючи сплески
      --registry-config string          шлях до файлу конфігурації реєстру (стандартно "~/.config/helm/registry/config.json")
      --repository-cache string         шлях до теки, що містить кешовані індекси репозиторіїв (стандартно "~/.cache/helm/repository")
      --repository-config string        шлях до файлу, що містить імена та URL репозиторіїв (стандартно "~/.config/helm/repositories.yaml")
```

### ДИВІТЬСЯ ТАКОЖ

* [helm](helm.md) — Менеджер пакетів Helm для Kubernetes.

###### Автоматично згенеровано spf13/cobra 11 вересня 2024
