---
title: "Helm List"
---

## helm list

Перегляд релізів

### Опис {#synopsis}

Ця команда виводить список усіх релізів для вказаного простору імен (використовується поточний контекст простору імен, якщо не вказано).

Стандартно вона перераховує тільки ті релізи, які розгорнуті або зазнали невдачі. Прапорці, такі як `--uninstalled` і `--all`, змінюють цю поведінку. Такі прапорці можна комбінувати: `--uninstalled --failed`.

Як правило елементи сортуються в алфавітному порядку. Використовуйте прапорець `-d`, щоб сортувати за датою релізу.

Якщо надано прапорець `--filter`, він буде використовуватися як фільтр. Фільтри є регулярними виразами (сумісними з Perl), які застосовуються до списку релізів. Будуть повернуті тільки ті елементи, які відповідають фільтру.

```console
$ helm list --filter 'ara[a-z]+'
NAME                UPDATED                                  CHART
maudlin-arachnid    2020-06-18 14:17:46.125134977 +0000 UTC  alpine-0.1.0
```

Якщо результати не знайдені, команда `helm list` завершиться з кодом 0, але без виводу (або, у випадку без прапорця `-q`, тільки заголовки).

Стандартно повертається до 256 елементів. Щоб обмежити це, використовуйте прапорець `--max`. Встановлення `--max` в 0 не поверне всі результати. Замість цього повернеться стандартне значення сервера, яке може бути значно більше ніж 256. Поєднання прапорців `--max` та `--offset` дозволяє переглядати результати посторінково.

```shell
helm list [flags]
```

### Параметри {#options}

```none
  -a, --all                  показати всі релізи без жодного фільтра
  -A, --all-namespaces       список релізів по всіх просторах імен
  -d, --date                 сортувати за датою релізу
      --deployed             показати розгорнуті релізи. Якщо нічого іншого не вказано, це буде автоматично увімкнено
      --failed               показати релізи з помилками
  -f, --filter string        регулярний вираз (сумісний з Perl). Будь-які релізи, що відповідають виразу, будуть включені в результати
  -h, --help                 довідка list
  -m, --max int              максимальна кількість релізів для отримання (стандартно 256)
      --no-headers           не друкувати заголовки при використанні стандартного формату виводу
      --offset int           наступний індекс релізу у списку, використовується для зсуву від початкового значення
  -o, --output format        виводить результат у вказаному форматі. Дозволені значення: table, json, yaml (стандартно table)
      --pending              показати невирішені релізи
  -r, --reverse              змінити порядок сортування на зворотний
  -l, --selector string      Селектор (запит за міткою) для фільтрації, підтримує '=', '==' і '!=' (наприклад, -l key1=value1,key2=value2). Працює тільки для сховищ secret (стандартно) та configmap.
  -q, --short                короткий (тихий) формат виводу
      --superseded           показати замінені релізи
      --time-format string   форматувати час, використовуючи форматувальник часу golang. Приклад: --time-format "2006-01-02 15:04:05Z0700"
      --uninstalled          показати видалені релізи (якщо використовувався `helm uninstall --keep-history`)
      --uninstalling         показати релізи, які в даний час видаляються
```

### Параметри, успадковані від батьківських команд {#options-inherited-from-parent-commands}

```none
      --burst-limit int                 стандартні обмеження на стороні клієнта (стандартно 100)
      --debug                           увімкнути розширений вивід
      --kube-apiserver string           адреса та порт сервера API Kubernetes
      --kube-as-group stringArray       група для імперсонації під час операції, цей прапор може бути повторений для вказання кількох груп.
      --kube-as-user string             імʼя користувача для імперсонації під час операції
      --kube-ca-file string             файл центру сертифікаці СА для підключення до сервера API Kubernetes
      --kube-context string             імʼя контексту kubeconfig для використання
      --kube-insecure-skip-tls-verify   якщо встановлено true, сертифікат сервера API Kubernetes не буде перевірятися на дійсність. Це робить ваші HTTPS-зʼєднання небезпечними
      --kube-tls-server-name string     імʼя сервера для перевірки сертифіката сервера API Kubernetes. Якщо не вказано, використовується імʼя хоста, що використовується для підключення до сервера
      --kube-token string               токен на предʼявника, який використовується для автентифікації
      --kubeconfig string               шлях до файлу kubeconfig
  -n, --namespace string                простір імен для цього запиту
      --qps float32                     кількість запитів в секунду під час взаємодії з API Kubernetes, не включаючи сплески
      --registry-config string          шлях до файлу конфігурації реєстру (стандартно "~/.config/helm/registry/config.json")
      --repository-cache string         шлях до теки, що містить кешовані індекси репозиторіїв (стандартно "~/.cache/helm/repository")
      --repository-config string        шлях до файлу, що містить імена та URL репозиторіїв (стандартно "~/.config/helm/repositories.yaml")
```

### ДИВІТЬСЯ ТАКОЖ {#see-also}

* [helm](helm.md) — Менеджер пакетів Helm для Kubernetes.

###### Автоматично згенеровано spf13/cobra 11 вересня 2024
