---
title: "下一步"
description: "收尾 - 一些能帮到你的指向其他的文档的链接。"
weight: 15
---

本指南旨在为chart开发者提供对如何使用Helm模板语言的强大理解能力。该模板聚焦于模板开发的技术层面。

但涉及到chart的实际日常开发时，很多内容本指南并没有覆盖到。这里有一些有用的文档链接帮助你创建新的chart:

- CNCF的 [Artifact Hub](https://artifacthub.io/packages/search?kind=0) 是chart不可或缺的资源。
- Kubernetes [文档](https://kubernetes.io/docs/home/) 提供各种能用到的资源种类的详细案例，从配置映射和密钥到
  DaemonSet和工作负载。
- Helm的[Chart指南](https://helm.sh/zh/docs/topics/charts) 阐述了使用chart的工作流。
- Helm的[Chart钩子指南](https://helm.sh/zh/docs/topics/charts_hooks) 说明了如何创建生命周期的钩子。
- Helm的[Chart提示和技巧](https://helm.sh/zh/docs/howto/charts_tips_and_tricks/)
  提供了编写chart时的一些有用提示。
- [Sprig 文档](https://github.com/Masterminds/sprig) 提供了超过60个模板函数。
- [Go 模板文档](https://godoc.org/text/template) 说明了模板语法的细节。
- [Schelm 工具](https://github.com/databus23/schelm) 用于调试chart的辅助工具。

有时候从有经验的开发者那里问问题和获取答案更加容易。最佳方式是访问 [Kubernetes
Slack](https://kubernetes.slack.com)的Helm频道：

- [#helm-users](https://kubernetes.slack.com/messages/helm-users)
- [#helm-dev](https://kubernetes.slack.com/messages/helm-dev)
- [#charts](https://kubernetes.slack.com/messages/charts)

最后，如果你找到了文档中的错误或疏漏，想推荐一些新内容，或者想做一些贡献，请访问[Helm 项目](https://github.com/helm/helm-www)。
