---
title: "发布计划策略"
description: "描述Helm的版本发布的策略"
---

为了用户的利益，Helm提前定义和宣布发布日期。本文档描述了控制Helm发布计划的策略。

## 发布日历

可以在[这里](https://helm.sh/calendar/release)找到显示即将发布的Helm公共日历

## 语义化版本

Helm的版本描述为`x.y.z`，其中`x`是主版本，`y`是次版本，`z`是补丁版本，遵循[语义化版本](https://semver.org/spec/v2.0.0.html)术语。

## 补丁发布

补丁版本为用户提供bug修复和安全修复。不会包含新的特性。

与最新的次要/主要版本相关的新补丁通常每月的第二个星期三进行发布一次。

补丁版本会修复需要处理的高优先级回归或安全问题。

补丁版本会因为以下原因取消：

- 如果自上一个版本没有新内容加入
- 如果补丁版本的发布日期在第一候选版本发布之前一周之内
- 如果补丁版本在次版本发布后的四周内

## 次版本发布

次版本包含安全和bug修复以及新特性。它们对API和CLI用法向后兼容。

为了与Kubernetes版本保持一致，次要版本会每四个月发布一次（一年三版）。

如果需要的话，可以发布额外的次版本，但不会影响已经宣布的未来版本的时间线，除非宣布的发布时间不到7天。

版本发布的同时，下一个次版本的发布时间也宣布并发布在Helm的主页上。

## 主版本发布

主版本包含了突破性的更改。这种版本很少，但是有时需要允许helm在重要的新方向上持续改善。

主版本很难计划。考虑到这一点，最终发布时间只能在第一个beta版本可用时选择和宣布。
